# IAM Custom Cloud Repository
Extension repository to be added to the custom build of the IAM Cloud Apps.

## Prerequisites

Download or clone the project source code from [IAM Cloud Repository](https://github.com/wso2-enterprise/iam-cloud-app-extensions.githttp:// "IAM Cloud Repository")

## Adding a new extension
- Step 1
Add a new self explanatory named folder to the following path.
`app-extensions/developer-portal/src/extensions/components`

- Step 2
Add a new entry to the `config.js` located inside the `extensions` folder.


    module.exports = () => {
        return {
            sections: {
                components: {
                    "feedback-button": "./components/feedback/feedback.tsx"
    				// New entry of the extension with the path to the extension
                }
            }
        };

- Step 3 
Add necessary extension logic inside the above created extension folder.

##  Build

Run `mvn clean install` from the command line in the project root directory (where the root pom.xml is located).

## Build Archive

The final bundled archive will be located under the following location.

`distrubutions/developer-portal/target/identity-developer-portal-v1.**-SNAPSHOT.war`

## Run

To run the updated arcive you follow the below steps.

1. Build the [Identity Server ](https://github.com/wso2/product-is.git "Identity Server ")
2. Replace the content of the `developer-portal` folder with the contents of the custom build archive of above to the following location.
`/repository/deployment/server/webapps/developer-portal`
3. Run the Identity server using `./wso2server.sh`
4. Navigate to `https://localhost:9443/developer-portal/` and login to the portal using default credentials.  
